Utils
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.viewmanager.stubs.calls
Class Utils

    java.lang.Object
      org.gcube.contentmanagement.viewmanager.stubs.calls.Utils

    public class Utils

extends java.lang.Object

Service utilities.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`Utils()`

Method Summary
`static
`<T> T`
` | `toObject(java.lang.Object stub, javax.xml.namespace.QName name, java.lang.Class<T> clazz, boolean... print)` Converts a stub object to a JAXB object.
`static
`<T> T`
` | `toStub(java.lang.Object object, java.lang.Class<T> clazz, boolean... print)` Converts a JAXB object to a stub object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### toStub

    public static <T> T toStub(java.lang.Object object,
                               java.lang.Class<T> clazz,
                               boolean... print)
                    throws java.lang.Exception

  Converts a JAXB object to a stub object.

  Type Parameters:
    `T` - the type of the stub object.
  Parameters:
    `object` - the JAXB object.
    `clazz` - the runtime representation of the type of the stub object.
    `print` - (optional) requires the display on console of the JAXB object serialisation.
  Returns:
    the stub object.
  Throws:
    `java.lang.Exception` - if the conversion could not be performed.

### toObject

    public static <T> T toObject(java.lang.Object stub,
                                 javax.xml.namespace.QName name,
                                 java.lang.Class<T> clazz,
                                 boolean... print)
                      throws java.lang.Exception

  Converts a stub object to a JAXB object.

  Type Parameters:
    `T` - the type of the JAXB object.
  Parameters:
    `stub` - the stub object.
    `name` - the `QName` of the stub object.
    `clazz` - the class of the JAXB object.
    `print` - (optional) requires the display on console of the stub object serialisation.
  Returns:
    the JAXB object.
  Throws:
    `java.lang.Exception` - if the conversion could not be performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD